# VehicleCollisionEvent (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.vehicle, class: VehicleCollisionEvent

Package org.bukkit.event.vehicle

# Class VehicleCollisionEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.vehicle.VehicleEvent
org.bukkit.event.vehicle.VehicleCollisionEvent

Direct Known Subclasses:
  `VehicleBlockCollisionEvent`, `VehicleEntityCollisionEvent`

public abstract class VehicleCollisionEvent extends VehicleEvent
Raised when a vehicle collides.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.vehicle.VehicleEvent

`vehicle`

## Constructor Summary

Constructors
Constructor
Description
`VehicleCollisionEvent(@NotNull Vehicle vehicle)`

## Method Summary

### Methods inherited from class org.bukkit.event.vehicle.VehicleEvent

`getVehicle`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VehicleCollisionEvent

public VehicleCollisionEvent(@NotNull @NotNull Vehicle vehicle)